PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerStringSetOwnString

tells the viewer that it now owns the string and is responsible for freeing it

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerStringSetOwnString(PetscViewer viewer)

Logically Collective on PetscViewer

### Input Parameters

| viewer | - string viewer

Notes: If you call this the string must have been obtained with PetscMalloc() and you cannot free the string

### See Also

PetscViewerStringOpen(), PETSCVIEWERSTRING, PetscViewerStringGetStringRead(), PetscViewerStringSPrintf(),
PetscViewerStringSetString()

### Level

advanced

### Location

src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages